Subject: RE: bug#22564: Fundamental mode isn't fundamental enough.

From: Drew Adams <[email-masked]>
Date: Fri, 5 Feb 2016 07:38:22 -0800 (PST)

> > You mean, there should no longer be a vanilla fundamental mode?  I would
> > argue that no "helpful" electric modes should be enabled in FM.  At the
> > moment, it appears, we are lacking a What-You-Do-Is-What-You-Get mode.
> >
> > I think electric-*-modes should be disabled in FM unless explicitly
> > enabled by the user in an FM buffer.  We've become far too "clever" with
> > all these facilities.
> 
> electric-indent-mode is the only electric-*-mode on by default, and I
> never understood why it was enabled. Up until bracketed paste was
> implemented, this issue of indenting pastes had been an annoyance (only
> later on did I realize to disable this electric mode).

I agree.  I disabled it as soon as I encountered it, but I disagree
that users should be subjected to it by default.  Especially in
Fundamental mode.